# Promise

## ApplicationPrototype.Builder. Promise

#### new Promise(handler) → {PromiseLike.<any>}

Source:
  - dictionary.d.js, line 192

##### Parameters:

Name | Type | Description
--- | --- | ---
`handler` | function |

##### Returns:

Type
  PromiseLike.<any>

### Methods

#### (static) all(items) → {PromiseLike.<Array.<any>>}

Source:
  - dictionary.d.js, line 200

##### Parameters:

Name | Type | Description
--- | --- | ---
`items` | Array.<Promise> |

##### Returns:

Type
  PromiseLike.<Array.<any>>

#### (static) race(items) → {PromiseLike.<Array.<any>>}

Source:
  - dictionary.d.js, line 207

##### Parameters:

Name | Type | Description
--- | --- | ---
`items` | Array.<Promise> |

##### Returns:

Type
  PromiseLike.<Array.<any>>

#### (static) reject(value) → {PromiseLike.<Error>}

Source:
  - dictionary.d.js, line 221

##### Parameters:

Name | Type | Description
--- | --- | ---
`value` | any |

##### Returns:

Type
  PromiseLike.<Error>

#### (static) resolve(value) → {PromiseLike.<any>}

Source:
  - dictionary.d.js, line 214

##### Parameters:

Name | Type | Description
--- | --- | ---
`value` | any |

##### Returns:

Type
  PromiseLike.<any>